Error: Could not find or load main class version

Hello,

Recently installed latest version (7.3.1) of ES stack (Kibana, logstash and elastic search). And after that when i am running my logstash config file which is using jdbc input plugin to fetch data from database, i am getting below mentioned error.
Error: Could not find or load main class version.

Java version using 1.8.0_111.

Regards,
Priyanka

Hi,

We had the similar kind of problem after upgradeing to v7.3.1.

As a workaround, we did the following: https://github.com/logstash-plugins/logstash-input-jdbc/issues/337 .

To me, this looks like a bug in the version, but I do not know whether it has been reported as a bug and whether it will be fixed.

Hopefully this helps?!

Best regards,

MeMa

Hello mepitkan,

Thanks for reply!!!
I tried with mentioned solution but still i am getting same error.

Regards.
Priyanka Yerunkar.

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.